
#ifndef Stcp_includeD
#define Stcp_includeD Yes


#define Stcp_strL 1024

#define Stcpconn_microsleeP 1000

#ifdef Stcp_localhost_onlY
#undef Stcp_localhost_onlY
#endif


struct StcpconN {

 int fd;
 int is_open;

 struct StcpserV *server;  /* NULL if used by a client */

 unsigned int poll_microsecs;

};


struct StcpserV {

 /* name which may be published as address of this server host */
 char servername[Stcp_strL];
 int portnumber;
 
 int is_ready;
 int server_socket;
 FILE *server_socket_fp;

 /* IP address of servername */
 unsigned long external_s_addr;
 /* comparison mask for client access */
 unsigned long external_s_mask;

 /* temporary file containing servername and portnumber 
    for the duration of service */
 char *published_file;
 
};


#endif /* Stcp_includeD */

